set more off
set linesize 90
log using hmst08.log, replace
***2008 JCR Paper: Hensel/Mitchell/Sowers/Thyne "Bones of Contention"
***Replication file

use hmst08, clear
***Table 2A: Probability of MIDs over Issues (all 3 issues)
logit midissyr mariss riveriss icowsal democ6 relcaps, robust
logit midissyr mariss riveriss icowsal recmidwt recnowt democ6 relcaps, robust

***Table 3A: Predicted probability of MIDs
mfx, at(mean mariss=0 riveriss=0 icowsal=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 icowsal=12 democ6=0)
mfx, at(mean mariss=1 riveriss=0 icowsal=0 democ6=0)
mfx, at(mean mariss=1 riveriss=0 icowsal=12 democ6=0)
mfx, at(mean mariss=0 riveriss=1 icowsal=0 democ6=0)
mfx, at(mean mariss=0 riveriss=1 icowsal=12 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recmidwt=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recmidwt=1 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recmidwt=5.4 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recnowt=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recnowt=1 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recnowt=10.3 democ6=0)
mfx, at(mean mariss=0 riveriss=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 democ6=1)
mfx, at(mean mariss=0 riveriss=0 democ6=0 relcaps=.50)
mfx, at(mean mariss=0 riveriss=0 democ6=0 relcaps=1)


***Table 2B: Probability of Peaceful Attempts (all 3 issues)
logit attpeace mariss riveriss icowsal democ6 relcaps, robust
logit attpeace mariss riveriss icowsal recmidwt recnowt democ6 relcaps, robust

***Table 3B: Predicted probability of Peaceful SAs
mfx, at(mean mariss=0 riveriss=0 icowsal=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 icowsal=12 democ6=0)
mfx, at(mean mariss=1 riveriss=0 icowsal=0 democ6=0)
mfx, at(mean mariss=1 riveriss=0 icowsal=12 democ6=0)
mfx, at(mean mariss=0 riveriss=1 icowsal=0 democ6=0)
mfx, at(mean mariss=0 riveriss=1 icowsal=12 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recmidwt=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recmidwt=1 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recmidwt=5.4 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recnowt=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recnowt=1 democ6=0)
mfx, at(mean mariss=0 riveriss=0 recnowt=10.3 democ6=0)
mfx, at(mean mariss=0 riveriss=0 democ6=0)
mfx, at(mean mariss=0 riveriss=0 democ6=1)
mfx, at(mean mariss=0 riveriss=0 democ6=0 relcaps=.50)
mfx, at(mean mariss=0 riveriss=0 democ6=0 relcaps=1)

***Table 4A: Probability of MID (each issue separately)
logit midissyr icowsal recmidwt recnowt democ6 relcaps if terriss==1, robust
logit midissyr icowsal recmidwt recnowt democ6 relcaps if riveriss==1, robust
logit midissyr icowsal recmidwt recnowt democ6 relcaps if mariss==1, robust

***Table 4B: Probability of Peaceful SA (each issue separately)
logit attpeace icowsal recmidwt recnowt democ6 relcaps if terriss==1, robust
logit attpeace icowsal recmidwt recnowt democ6 relcaps if riveriss==1, robust
logit attpeace icowsal recmidwt recnowt democ6 relcaps if mariss==1, robust
